# Installation
`gem install envoi-mam-agent`

# Usage
`envoi-mam-agent restore --config-file-path [PATH TO CONFIG FILE]`

Default Config File Paths:
```
./envoi-mam-agent-config.json
~/envoi-mam-agent-config.json
```


# Configuration

```
{
    "restore": {
        "sqs": {
            "access_key_id": "<access key id>",
            "secret_access_key": "<secret access key>",
            "queue_url": "<SQS QUEUE URL>"
            "s3": {
                "<bucket name>": {
                    "destination_path": "<destination path>",
                    "aspera": {
                        "host": "<host address IP or FQDN>",
                        "username": "<password>",
                        "password": "<username>>",
                        "base_path": "/<bucket_name>>",
                    },
                    "s3": {
                        "access_key_id": "<access key id>",
                        "secret_access_key": "<secret access key>",
                        "region": "us-east-1",
                        "bucket_name": "<bucket name>"
                    }
                }
            }
        }
    }
}
```
