
lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'envoi/mam/agent/version'

Gem::Specification.new do |spec|
  spec.name          = 'envoi-mam-agent'
  spec.version       = Envoi::Mam::Agent::VERSION
  spec.authors       = ['John Whitson']
  spec.email         = ['john.whitson@gmail.com']

  spec.summary       = 'Library for interacting with MAMs.'
  spec.description   = ''
  spec.homepage      = 'http://www.github.com/XPlatform-Consulting/envoi-mam-agent'
  spec.license       = 'MIT'


  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  # spec.add_runtime_dependency 'adobe_media_encoder', '~> 0.0.1'
  spec.add_runtime_dependency 'asperalm', '~> 0.9'
  spec.add_runtime_dependency 'aws-sdk-s3', '~> 1'
  spec.add_runtime_dependency 'aws-sdk-sqs', '~> 1'
  spec.add_runtime_dependency 'aws-sdk-mediaconvert', '~> 1'
  # spec.add_runtime_dependency 'shoryuken' '~> 4'
  spec.add_runtime_dependency 'daemons', '~> 1.3'
  # spec.add_runtime_dependency 'faraday', '~> 0.15'
  spec.add_runtime_dependency 'listen', '~> 3.1'
  # spec.add_runtime_dependency 'directory_watcher'
  # spec.add_runtime_dependency 'file-monitor'
  spec.add_runtime_dependency 'ubiquity-envoi', '~> 1'
  spec.add_runtime_dependency 'ubiquity-iconik', '~> 1'
  spec.add_runtime_dependency 'ubiquity-mediasilo-api-v3', '~> 1'
  spec.add_runtime_dependency 'ubiquity-vdms', '~> 1'
  spec.add_runtime_dependency 'ubiquity-wiredrive', '~> 1'
  # spec.add_runtime_dependency 'vantage', '~> 1'
  spec.add_runtime_dependency 'vidispine', '~> 1.6'


  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'pry', '~> 0.11'
  spec.add_development_dependency 'rake', '~> 10.0'
end
